Subject: Re: [MOBILE-IP] charter update?

From: Thomas Eklund <[email-masked]>
Date: Wed, 1 Mar 2000 14:41:50 +0100

I would like it to be more generic and introduce more clear interfaces that
today...

For instance a micro mobility message type and then it should be very easy
to introduce new mobility managemnt scheme that is optimized over (new)
access networks..

So it should be a IP based mobility management protocol with mobile IP as a
base and have clear interfaces between:
-pico mobility (mostly done in MANET today)
-micromobility (cellular IP, Hawaii etc...)
-macromobility (hierahcical mobile IP..)
-roaming       (AAA)

The micromobility SHOULD be optimized for different access network where the
cellular radio access network is one category that have several types (tdma,
cdma, w-cdma, etc..), another is high capacity LAN radio like 802.11,
HiperLAN etc and these different access networks requires different mobility
management protocol...

If you had clear interfaces and defined message types that is extendable you
could have a very nice flexible protocol that could easy adapt to new
networks when they come...

I think that people agree since they are working on new mobility solutions
and if you had a good mobility mamagement framework that is flexible, but
then people have to agree on the framework...

Best Regards Thomas

> -----Original Message-----
> From: Lipford, Mark [mailto:[email-masked]]
> Sent: Wednesday, March 01, 2000 2:24 PM
> To: [email-masked]
> Subject: Re: [MOBILE-IP] charter update?
>
>
> I think the charter should be updated to support cellular specific
> extensions.
>
> Mark A. Lipford
> Manager, Wireless Industry Standards - Data
> Sprint PCS
> 8001 College Blvd.; Suite 210
> Overland Park, KS  66210
> (913) 664-8335 (office)
> (913) 664-8440 (fax)
> (913) 226-9060 (PCS)
>
>
> -----Original Message-----
> From: Roberts Phil-QA3445 [mailto:[email-masked]]
> Sent: Tuesday, February 29, 2000 5:14 PM
> To: [email-masked]
> Subject: [MOBILE-IP] charter update?
>
>
> Greetings gentlepeople,
>
>     We've got 4 presentations lined up at the Adelaide
> meeting on various
> proposals for handoff.  This together with the fact that
> several of our
> current drafts are motivated by 3G data support indicates to
> Raj and me that
> there continues to be some interest in the group in
> supporting cellular
> specific extensions to mobile-ip.  The charter doesn't
> specify a strong
> support of these activities.  The current wording is "The WG
> moving forward
> will focus on deployment issues in Mobile IP and provide appropriate
> protocol solutions to address known deficiencies and shortcomings. For
> example, the wireless/cellular industry is considering using
> Mobile IP as
> one technique for IP mobility for wireless data. The working
> group will
> endeavor to gain an understanding of data service in cellular
> systems such
> as GPRS, UMTS, CDMA2000, and interact with other standards
> bodies that are
> trying to adopt and deploy Mobile IP WG protocols in these contexts."
> So I'd like to find out whether there is interest in the
> group to extending
> the charter for specific support of cellular systems.  If
> there is general
> support I'll propose some wording.  One obvious work item
> would be to submit
> a draft to the IESG for support of fast handover.
>
> Comments?
> Phil
>

---

From: "[email-masked]" <[email-masked]>
Date: Wed, 1 Mar 2000 06:07:23 -0800

All,

I had a conversation yesterday with Charlie and we both agreed that we need to
define the different layers of mobility. Today we use micro and macro
mobility, and these terms mean completely different things, depending upon the
proposal that you happen to be backing. Therefore, having agreement on the
list as to what micro vs. macro means will be a long, drawn out battle, and I
think that we have better things to do with out time (well, at least I do).

btw, in case you still aren't convinced, it isn't clear to me that what we
today call micro-mobility cannot be achieved via hierarchical Mobile IP, while
others believe that Hawaii or Cellular IP provides micro-mobility.

So, I would like to propose that we agree on some new terminology. I believe
that we have: - Link Layer Mobility (Inter-BTS hand-off)
- pick a name Mobility (inter-BSC hand-off)
- Intra-Domain Mobility (Inter-MSC hand-off)
- Inter-Domain Mobility (when the hand-off crosses a domain boundary)

I still don't have a preference for the second name, and I am not married to
ANY of the names above. These are merely suggestions. The goal here is to ALL
agree on basic terminology so that when we compare protocols, we can match the
protocol against a set of common terminology.

Comments? Is this a worthwhile exercise?

PatC

---

From: Hans-Peter Huth <[email-masked]>
Date: Fri, 3 Mar 2000 14:40:08 +0100

> think that we have better things to do with out time (well, at least I do).

Maybe we see it this way: different scenarios may need different mechanisms. One
size fits all is not the approach we want.

> that we have: - Link Layer Mobility (Inter-BTS hand-off)

agreed here. LL-Mobility is Mobility on lower layers without involving IP.

> - pick a name Mobility (inter-BSC hand-off)

I'm not sure what You mean here.

> - Inter-Domain Mobility (when the hand-off crosses a domain boundary)

Why not referring to both with "Micro Mobility"? The definition might be, this
is IP-layer mobility with specialized means others than Mobile IP (e.g. Cellular IP
HAWAII).

> protocol against a set of common terminology.

I think, the challenge is to allow for very different Mobility algorithms
suitable for very different areas. The crucial point for me is the
interface to the terminals and the access routers of the next Mobility
stage (e.g. a FA). We need standardized interfaces here. I definitely
do not want multiple Mobility driver software in an terminal. For
example binding updates, paging and AAA should use the same interface
no matter what technology actually is used to provide Mobility.

I personally don't think we should adopt the cellular terminology. In
the names You propose are some assumptions on the functionality of
BTS and BSC which may not be valid for all wireless networks although
the mechanisms of the Mobile IP WG should be applicable.

However it perfectly does make sense to me to construct a flexible
Mobility framework which can handle the needs of a cellular network.

Regards,
        Hans-Peter Huth

--
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
|  Hans-Peter Huth                         Phone: +49 89 636 430 71 |
|  Siemens AG, Dept. ZT IK 2               FAX:   +49 89 636 51115  |
|  Otto-Hahn-Ring 6          E-mail: [email-masked]|
|D-81730  Munich                                                    |
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

---

From: "[email-masked]" <[email-masked]>
Date: Fri, 3 Mar 2000 07:15:09 -0800

Hans,

I *was* pretty sure that I made myself clear, and based on your response I
apparently didn't.

I don't care much for cellular terminology, but I used it because it was
convenient. Someone else sent an e-mail to this thread with the equivalent in
the 802.11 world. From your e-mail below, you are *already* associating
certain mobility levels to specific techonologies, when you state:

> Why not referring to both with "Micro Mobility"? The definition might be,
> this is IP-layer mobility with specialized means others than Mobile IP (e.g.
> Cellular IP HAWAII).

Why is Hierarchical Mobile IP not included here? Mobile IP can be used to
provide micro mobility. The reason is because some people's definition of
micro mobility is vastly different from others. Hence the reason why I want to
move *away* from these terms, and create something new that is very well
defined.

PatC

> Maybe we see it this way: different scenarios may need different mechanisms.
> One size fits all is not the approach we want.
>
> Why not referring to both with "Micro Mobility"? The definition might be,
> this is IP-layer mobility with specialized means others than Mobile IP (e.g.
> Cellular IP HAWAII).
>
> >